Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uchicago.src.sim.parameter.rpl
Class RPLParser

    java.lang.Object
      uchicago.src.sim.parameter.rpl.RPLParser

All Implemented Interfaces:
  RPLParserConstants, RPLParserTreeConstants

    public class RPLParser

extends java.lang.Object
implements RPLParserTreeConstants, RPLParserConstants

Field Summary
`Token` | `jj_nt`
`protected uchicago.src.sim.parameter.rpl.JJTRPLParserState` | `jjtree`
`boolean` | `lookingAhead`
`Token` | `token`
`RPLParserTokenManager` | `token_source`

Fields inherited from interface uchicago.src.sim.parameter.rpl.RPLParserTreeConstants
`JJTBLOCKDEF, JJTCOMPILATIONUNIT, JJTCONST_ASSIGN, JJTCONSTANT, JJTDOTTED_NAME, JJTFALSE, JJTFLOAT, JJTINT, JJTLIST, JJTLIST_ASSIGN, JJTNAME, jjtNodeName, JJTPARAM_ASSIGN, JJTPARAMETER, JJTSTRING, JJTSUBBLOCK, JJTSUITE, JJTTRUE, JJTVOID`

Fields inherited from interface uchicago.src.sim.parameter.rpl.RPLParserConstants
`COLON, COMMA, COMPLEX, CONSTANT, CONTINUATION, CRLF1, DECNUMBER, DEDENT, DEF, DEFAULT, DIGIT, DOT, EOF, EQUAL, EXPONENT, FALSE, FLOAT, FORCE_NEWLINE, FORCE_NEWLINE1, FORCE_NEWLINE2, HEXNUMBER, IN_STRING11, IN_STRING13, IN_STRING21, IN_STRING23, INDENT, INDENTATION_UNCHANGED, INDENTING, LBRACKET, LETTER, LPAREN, NAME, NEWLINE, NEWLINE1, NEWLINE2, NEWLINE3, OCTNUMBER, PARAMETER, RBRACKET, RPAREN, SEMICOLON, SINGLE_LINE_COMMENT, SINGLE_STRING, SINGLE_STRING2, SPACE, tokenImage, TRAILING_COMMENT, TRIPLE_STRING, TRIPLE_STRING2, TRUE, UNREACHABLE`

Constructor Summary
`RPLParser(java.io.InputStream stream)`
`RPLParser(java.io.Reader stream)`
`RPLParser(RPLParserTokenManager tm)`

Method Summary
`Token` | `AnyName()`
`void` | `blockdef()`
`SimpleNode` | `compilationUnit()`
`void` | `compound_stmt()`
`void` | `Constant()`
`void` | `disable_tracing()`
`void` | `dn_number_string()`
`void` | `dotted_name()`
`void` | `enable_tracing()`
`ParseException` | `generateParseException()`
`Token` | `getNextToken()`
`Token` | `getToken(int index)`
`void` | `list()`
`void` | `Name()`
`void` | `Number()`
`void` | `Parameter()`
`void` | `ReInit(java.io.InputStream stream)`
`void` | `ReInit(java.io.Reader stream)`
`void` | `ReInit(RPLParserTokenManager tm)`
`void` | `simple_stmt()`
`void` | `small_stmt()`
`void` | `stmt()`
`void` | `String()`
`void` | `subBlock()`
`void` | `suite()`
`void` | `tf_dotted_name()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### jjtree

    protected uchicago.src.sim.parameter.rpl.JJTRPLParserState jjtree

### token_source

    public RPLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### RPLParser

    public RPLParser(java.io.InputStream stream)

### RPLParser

    public RPLParser(java.io.Reader stream)

### RPLParser

    public RPLParser(RPLParserTokenManager tm)

Method Detail

### compilationUnit

    public final SimpleNode compilationUnit()
                                     throws ParseException

  Throws:
    `ParseException`

### stmt

    public final void stmt()
                    throws ParseException

  Throws:
    `ParseException`

### simple_stmt

    public final void simple_stmt()
                           throws ParseException

  Throws:
    `ParseException`

### small_stmt

    public final void small_stmt()
                          throws ParseException

  Throws:
    `ParseException`

### dn_number_string

    public final void dn_number_string()
                                throws ParseException

  Throws:
    `ParseException`

### list

    public final void list()
                    throws ParseException

  Throws:
    `ParseException`

### tf_dotted_name

    public final void tf_dotted_name()
                              throws ParseException

  Throws:
    `ParseException`

### dotted_name

    public final void dotted_name()
                           throws ParseException

  Throws:
    `ParseException`

### compound_stmt

    public final void compound_stmt()
                             throws ParseException

  Throws:
    `ParseException`

### blockdef

    public final void blockdef()
                        throws ParseException

  Throws:
    `ParseException`

### Constant

    public final void Constant()
                        throws ParseException

  Throws:
    `ParseException`

### subBlock

    public final void subBlock()
                        throws ParseException

  Throws:
    `ParseException`

### suite

    public final void suite()
                     throws ParseException

  Throws:
    `ParseException`

### Parameter

    public final void Parameter()
                         throws ParseException

  Throws:
    `ParseException`

### Name

    public final void Name()
                    throws ParseException

  Throws:
    `ParseException`

### Number

    public final void Number()
                      throws ParseException

  Throws:
    `ParseException`

### String

    public final void String()
                      throws ParseException

  Throws:
    `ParseException`

### AnyName

    public final Token AnyName()
                        throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(RPLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public final ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD